package com.zheng.demo;

import java.time.Clock;
import java.time.Instant;
import java.time.temporal.ChronoUnit;

public class AddDays_Clock {
	private Instant currentDate;

	public AddDays_Clock() {
		super();
		currentDate = Clock.systemUTC().instant();
	}

	public Instant addDays(Long days) {
		return currentDate.plus(days.longValue(), ChronoUnit.DAYS);
	}

	public Instant substractDays(Long days) {
		return currentDate.minus(days.longValue(), ChronoUnit.DAYS);
	}

	public Instant getCurrentDate() {
		return currentDate;
	}

	public void setCurrentDate(Instant currentDate) {
		this.currentDate = currentDate;
	}

}
