package com.zheng.demo;

import java.time.LocalDateTime;
import java.time.Period;
import java.time.ZoneId;
import java.time.temporal.ChronoUnit;

public class AddDays_LocalDateTime {
	private LocalDateTime currentDate;

	public AddDays_LocalDateTime() {
		super();
		currentDate = LocalDateTime.now();
	}
	
	public AddDays_LocalDateTime(ZoneId zoneId) {
		currentDate = LocalDateTime.now(zoneId);
	}

	public LocalDateTime addDays_by_plusDays(Long days) {
		return currentDate.plusDays(days.longValue());
	}
	
	public LocalDateTime addDays_by_plus(Long days) {
		return currentDate.plus(Period.ofDays( days.intValue()));
	}
	
	public LocalDateTime addDays_by_plus_2(Long days) {
		return currentDate.plus(days.longValue(), ChronoUnit.DAYS);
	}

	public LocalDateTime substractDays_by_minusDays(Long days) {
		return currentDate.minusDays(days.longValue());
	}

	public LocalDateTime getCurrentDate() {
		return currentDate;
	}

	public void setCurrentDate(LocalDateTime currentDate) {
		this.currentDate = currentDate;
	}

}
