package com.zheng.demo;

import java.time.Instant;

import org.junit.Before;
import org.junit.Test;

public class AddDays_ClockTest {

	private static final int DAYS = 10;
	private AddDays_Clock defaultZoneDate = new AddDays_Clock();

	@Before
	public void setup() {
		System.out.println("*****\nOriginal defaultZoneDate : " + defaultZoneDate.getCurrentDate());
		System.out.println("-----");
	}

	@Test
	public void plus_number_of_days() {
		for (int i = 1; i < DAYS; i++) {
			Instant plusDate = defaultZoneDate.addDays(Long.valueOf(i));
			System.out.println("defaultZoneDate Plus " + i + " = " + plusDate);
		}
	}

	@Test
	public void minus_number_of_days() {
		for (int i = 1; i < DAYS; i++) {
			Instant minusDate = defaultZoneDate.substractDays(Long.valueOf(i));
			System.out.println("defaultZoneDate Minus" + i + "= " + minusDate);
		}
	}

}