package com.zheng.demo;

import java.time.LocalDate;
import java.time.Period;
import java.time.ZoneId;
import java.time.temporal.ChronoUnit;

public class AddDays_LocalDate {
	private LocalDate currentDate;

	public AddDays_LocalDate() {
		super();
		currentDate = LocalDate.now();
	}
	
	public AddDays_LocalDate(ZoneId zoneId) {
		currentDate = LocalDate.now(zoneId);
	}

	public LocalDate addDays_by_plusDays(Long days) {
		return currentDate.plusDays(days.longValue());
	}
	
	public LocalDate addDays_by_plus(Long days) {
		return currentDate.plus(Period.ofDays(days.intValue()));
	}
	
	public LocalDate addDays_by_plus_2(Long days) {
		return currentDate.plus(days.longValue(), ChronoUnit.DAYS);
	}

	public LocalDate substractDays_by_minusDays(Long days) {
		return currentDate.minusDays(days.longValue());
	}

	public LocalDate getCurrentDate() {
		return currentDate;
	}

	public void setCurrentDate(LocalDate currentDate) {
		this.currentDate = currentDate;
	}

}
